%define oname gtk-sharp
%define monodir %_prefix/lib/mono

Summary:	C# language binding for the gtk+ toolkit
Name:		gtk-sharp2
Version:	2.12.45
Release:	%mkrel 10
License:	LGPLv2
Group:		Development/C#
URL:		https://gtk-sharp.sourceforge.net/
Source0:	https://download.mono-project.com/sources/gtk-sharp212/%oname-%version.tar.gz
Patch0:		gtk-sharp2-2.12.12-glib-include.patch
Patch1:         gtk-range-vs-mono-range-ambiguous.patch
Patch2:         gtk-sharp2-c99.patch
Requires:	glib-sharp2 = %version
BuildRequires:	pkgconfig(atk)
BuildRequires:	pkgconfig(gobject-2.0) >= 2.12.0
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.12.0
BuildRequires:	pkgconfig(libglade-2.0) >= 2.3.6
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(mono)
BuildRequires:	pkgconfig(monodoc)

%description
Gtk-sharp is a C# language binding for the  gtk+ toolkit.

%package devel
Summary:	C# code generation tools for %name
Requires:	%{name} = %{version}-%{release}
Group:		Development/C#

%description devel
This contains the code generation tools of gtk-sharp. It is needed for building
C# wrappers for GObject APIs.

%package -n glib-sharp2
Summary:	C# binding for glib
Group:		Development/C#

%description -n glib-sharp2
Glib-sharp is a C# language binding for glib.

%package -n glade-sharp2
Summary:	C# binding for glade
Group:		Development/C#
Requires:	%{name} = %{version}-%{release}

%description -n glade-sharp2
Glade-sharp is a C# language binding for glade.

%package doc
Summary:	Documentation for gtk-sharp
Group:		Development/C#
BuildArch:	noarch
Requires(post):		monodoc
Requires(postun):	monodoc

%description doc
Gtk-sharp is a C# language binding for the  gtk+ toolkit.
This package provides documentation for gtk-sharp.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

%build
autoreconf -vfi
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure
make

%install
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%make_install

rm -rf %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_libdir}/*.a
rm -fr sample/valtest/{.deps, .libs}

%post doc
%_bindir/monodoc --make-index > /dev/null

%postun doc
if [ "$1" = "0" -a -x %_bindir/monodoc ]; then %_bindir/monodoc --make-index > /dev/null
fi

%files
%monodir/gac/*atk-sharp
%monodir/gac/*gdk-sharp
%monodir/gac/*gtk-dotnet
%monodir/gac/*gtk-sharp
%monodir/gac/*pango-sharp
%monodir/%oname-2.0/*atk-sharp.dll*
%monodir/%oname-2.0/*gdk-sharp.dll*
%monodir/%oname-2.0/*gtk-sharp.dll*
%monodir/%oname-2.0/*gtk-dotnet.dll*
%monodir/%oname-2.0/*pango-sharp.dll*
%_libdir/libatksharpglue-2.so
%_libdir/libgdksharpglue-2.so
%_libdir/libgtksharpglue-2.so
%_libdir/libpangosharpglue-2.so
%_libdir/pkgconfig/gtk-sharp-2.0.pc
%_libdir/pkgconfig/gtk-dotnet-2.0.pc

%files -n glib-sharp2
%monodir/gac/*glib-sharp
%monodir/%oname-2.0/*glib-sharp.dll*
%_libdir/libglibsharpglue-2.so
%_libdir/pkgconfig/glib-sharp-2.0.pc

%files -n glade-sharp2
%monodir/gac/*glade-sharp
%monodir/%oname-2.0/*glade-sharp.dll*
%_libdir/pkgconfig/glade-sharp-2.0.pc
%_libdir/libgladesharpglue-2.so

%files doc
%doc ChangeLog README README.generator
%_prefix/lib/monodoc/sources/gtk*

%files devel
%_bindir/gapi2-codegen
%_bindir/gapi2-fixup
%_bindir/gapi2-parser
%dir %_datadir/gapi-2.0/
%_datadir/gapi-2.0/atk-api.xml
%_datadir/gapi-2.0/gdk-api.xml
%_datadir/gapi-2.0/glade-api.xml
%_datadir/gapi-2.0/glib-api.xml
%_datadir/gapi-2.0/gtk-api.xml
%_datadir/gapi-2.0/pango-api.xml
%_libdir/pkgconfig/gapi-2.0.pc
%dir %_prefix/lib/%oname-2.0/
%_prefix/lib/%oname-2.0/gapi-fixup.exe
%_prefix/lib/%oname-2.0/gapi-parser.exe
%_prefix/lib/%oname-2.0/gapi2xml.pl
%_prefix/lib/%oname-2.0/gapi_codegen.exe
%_prefix/lib/%oname-2.0/gapi_pp.pl


%changelog
* Wed Jul 17 2024 pterjan <pterjan> 2.12.45-10.mga10
+ Revision: 2082000
- Add a patch from Fedora to fix build
- Use monodoc instead of mono-tools

* Fri Apr 01 2022 umeabot <umeabot> 2.12.45-9.mga9
+ Revision: 1838493
- Mageia 9 Mass Rebuild

* Mon Sep 21 2020 tv <tv> 2.12.45-8.mga8
+ Revision: 1629207
- rebuild with fixed mono for proper mono provides & requires...

* Sun Sep 20 2020 matteo <matteo> 2.12.45-7.mga8
+ Revision: 1628842
- avoid ambiguity between range and mono range
- fix build against new mono-6.10

* Sun Feb 16 2020 umeabot <umeabot> 2.12.45-6.mga8
+ Revision: 1532199
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Mon Sep 16 2019 guillomovitch <guillomovitch> 2.12.45-5.mga8
+ Revision: 1442078
- fix dependencies

* Mon Sep 16 2019 guillomovitch <guillomovitch> 2.12.45-4.mga8
+ Revision: 1441996
- rebuild to fix automatic dependencies

* Sun Sep 15 2019 guillomovitch <guillomovitch> 2.12.45-3.mga8
+ Revision: 1441033
- rebuild for latest mono

* Wed Feb 20 2019 wally <wally> 2.12.45-2.mga7
+ Revision: 1368908
- sync patches with Fedora

* Wed Feb 20 2019 wally <wally> 2.12.45-1.mga7
+ Revision: 1368877
- new version 2.12.45

* Sun Sep 23 2018 umeabot <umeabot> 2.12.26-4.mga7
+ Revision: 1298125
- Mageia 7 Mass Rebuild
+ wally <wally>
- fix monodoc BR

* Thu Mar 03 2016 pterjan <pterjan> 2.12.26-3.mga6
+ Revision: 985245
- Update mono version in cairo path
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Dec 03 2015 tv <tv> 2.12.26-2.mga6
+ Revision: 907830
- rebuild for mono4

* Wed Dec 02 2015 tv <tv> 2.12.26-1.mga6
+ Revision: 907620
- adjust BR
- new release

* Wed Oct 15 2014 umeabot <umeabot> 2.12.21-4.mga5
+ Revision: 747249
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.12.21-3.mga5
+ Revision: 680005
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.12.21-2.mga4
+ Revision: 526763
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 fwang <fwang> 2.12.21-1.mga4
+ Revision: 438804
- new version 2.12.21

* Sat Jan 12 2013 umeabot <umeabot> 2.12.11-5.mga3
+ Revision: 352838
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 25 2012 fwang <fwang> 2.12.11-4.mga3
+ Revision: 309896
- do not list sample into doc package

* Thu Oct 25 2012 fwang <fwang> 2.12.11-3.mga3
+ Revision: 309892
- update rpm group

* Wed Dec 07 2011 fwang <fwang> 2.12.11-2.mga2
+ Revision: 178042
- drop unneeded files

* Mon Dec 05 2011 fwang <fwang> 2.12.11-1.mga2
+ Revision: 176889
- new version 2.12.11

* Sat Jan 15 2011 pterjan <pterjan> 2.12.10-1.mga1
+ Revision: 18972
- imported package gtk-sharp2

